<?php 
defined('ABSPATH') or die('Access denied!');

if ( $_POST ) {
	
	if ( isset($_POST['GOLDP_MerchantID']) ) {
		update_option( 'GOLDP_MerchantID', $_POST['GOLDP_MerchantID'] );
	}
	
	if ( isset($_POST['GOLDP_IsOK']) ) {
		update_option( 'GOLDP_IsOK', $_POST['GOLDP_IsOK'] );
	}
  
	if ( isset($_POST['GOLDP_IsError']) ) {
		update_option( 'GOLDP_IsError', $_POST['GOLDP_IsError'] );
	}
	
  if ( isset($_POST['GOLDP_Unit']) ) {
		update_option( 'GOLDP_Unit', $_POST['GOLDP_Unit'] );
	}
  
  if ( isset($_POST['GOLDP_UseCustomStyle']) ) {
		update_option( 'GOLDP_UseCustomStyle', 'true' );
    
    if ( isset($_POST['GOLDP_CustomStyle']) )
    {
      update_option( 'GOLDP_CustomStyle', strip_tags($_POST['GOLDP_CustomStyle']) );
    }
    
	}
  else
  {
    update_option( 'GOLDP_UseCustomStyle', 'false' );
  }
  
	echo '<div class="updated" id="message"><p><strong>تنظیمات ذخیره شد</strong>.</p></div>';
	
}
?>
<h2 id="add-new-user">تنظیمات افزونه حمایت مالی - گلد پی(gold P)</h2>
<h2 id="add-new-user">جمع تمام پرداخت ها : <?php echo get_option("GOLDP_TotalAmount"); ?>  تومان</h2>
<form method="post">
  <table class="form-table">
    <tbody>
      <tr class="user-first-name-wrap">
        <th><label for="GOLDP_MerchantID">کد دروازه پرداخت</label></th>
        <td>
          <input type="text" class="regular-text" dir="ltr" value="<?php echo get_option( 'GOLDP_MerchantID'); ?>" id="GOLDP_MerchantID" name="GOLDP_MerchantID">
          <p class="description indicator-hint">XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</p>
        </td>
      </tr>
      <tr>
        <th><label for="GOLDP_IsOK">پرداخت صحیح</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'GOLDP_IsOK'); ?>" id="GOLDP_IsOK" name="GOLDP_IsOK"></td>
      </tr>
      <tr>
        <th><label for="GOLDP_IsError">خطا در پرداخت</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'GOLDP_IsError'); ?>" id="GOLDP_IsError" name="GOLDP_IsError"></td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th><label for="GOLDP_Unit">واحد پول</label></th>
        <td>
          <?php $GOLDP_Unit = get_option( 'GOLDP_Unit'); ?>
          <select id="GOLDP_Unit" name="GOLDP_Unit">
            <option <?php if($GOLDP_Unit == 'تومان' ) echo 'selected="selected"' ?>>تومان</option>
            <option <?php if($GOLDP_Unit == 'ریال' ) echo 'selected="selected"' ?>>ریال</option>
          </select>
        </td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th>استفاده از استایل سفارشی</th>
        <td>
          <?php $GOLDP_UseCustomStyle = get_option('GOLDP_UseCustomStyle') == 'true' ? 'checked="checked"' : ''; ?>
          <input type="checkbox" name="GOLDP_UseCustomStyle" id="GOLDP_UseCustomStyle" value="true" <?php echo $GOLDP_UseCustomStyle ?> /><label for="GOLDP_UseCustomStyle">استفاده از استایل سفارشی برای فرم</label><br>
        </td>
      </tr>
      
      
      <tr class="user-display-name-wrap" id="GOLDP_CustomStyleBox" <?php if(get_option('GOLDP_UseCustomStyle') != 'true') echo 'style="display:none"'; ?>>
        <th>استایل سفارشی</th>
        <td>
          <textarea style="width: 90%;min-height: 400px;direction:ltr;" name="GOLDP_CustomStyle" id="GOLDP_CustomStyle"><?php echo get_option('GOLDP_CustomStyle') ?></textarea><br>
        </td>
      </tr>
      
    </tbody>
  </table>
  <p class="submit"><input type="submit" value="به روز رسانی تنظیمات" class="button button-primary" id="submit" name="submit"></p>
</form>

<script>
  if(typeof jQuery == 'function')
  {
    jQuery("#GOLDP_UseCustomStyle").change(function(){
      if(jQuery("#GOLDP_UseCustomStyle").prop('checked') == true)
        jQuery("#GOLDP_CustomStyleBox").show(500);
      else
        jQuery("#GOLDP_CustomStyleBox").hide(500);
    });
  }
</script>

